Generate videos using ByteDance SeeDance 1.0 Pro with text-to-video and first & last frame modes. Supports 5 and 10 second durations at 720p.

Model

bytedance/seedance-1.0-pro

Supported Modes

ModeDescription
(omit)Text-to-video. You control the aspect ratio.
first_last_frameStart frame required, end frame optional. Aspect ratio auto-detected from input.

Parameters

ParameterTypeRequiredDefaultDescription
promptstringNo""Text description of the desired video
modestringNonullfirst_last_frame. Omit for text-to-video.
aspect_ratiostringNo"1:1"21:9, 16:9, 4:3, 1:1, 3:4, 9:16. Only used for text-to-video.
durationintegerNo5Duration in seconds: 5 or 10
seedintegerNorandomSeed for reproducibility
first_frame_urlstringConditionalnullStart frame image. Required for first_last_frame.
last_frame_urlstringNonullEnd frame image. Optional for first_last_frame.

Example - Text-to-Video

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "bytedance/seedance-1.0-pro",
    "input": {
      "prompt": "A person dancing in a vibrant street scene",
      "aspect_ratio": "9:16",
      "duration": 5
    }
  }'

Example - First & Last Frame

curl -X POST https://api.unifically.com/v1/tasks \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "model": "bytedance/seedance-1.0-pro",
    "input": {
      "prompt": "Smooth transition between poses",
      "mode": "first_last_frame",
      "duration": 10,
      "first_frame_url": "https://example.com/start.jpg",
      "last_frame_url": "https://example.com/end.jpg"
    }
  }'

Response

{
  "code": 200,
  "success": true,
  "data": {
    "task_id": "abc123def456",
    "status": "pending"
  }
}